SystemOrganization addCategory: #ConfigurationOfNeoConsole!

Object subclass: #ConfigurationOfNeoConsole
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfNeoConsole'!

!ConfigurationOfNeoConsole commentStamp: 'SvenVanCaekenberghe 6/16/2015 20:34' prior: 0!
I am ConfigurationOfNeoConsole, a Metacello configuration for NeoConsole.

NeoConsole offers a command line interface to a Pharo image.

	ConfigurationOfNeoConsole load.
	ConfigurationOfNeoConsole loadBleedingEdge.

License MIT.!

!ConfigurationOfNeoConsole class methodsFor: 'development support' stamp: 'SvenVanCaekenberghe 6/16/2015 20:28'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfNeoConsole class methodsFor: 'private' stamp: 'SvenVanCaekenberghe 6/16/2015 20:28'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfNeoConsole class methodsFor: 'accessing' stamp: 'SvenVanCaekenberghe 6/16/2015 20:33'!
catalogDescription
	^ 'NeoConsole offers a command line (REPL) interface to a Pharo image.'! !

!ConfigurationOfNeoConsole class methodsFor: 'accessing' stamp: 'SvenVanCaekenberghe 6/16/2015 20:33'!
catalogKeywords
	^ #('console' 'command-line' 'repl')! !

!ConfigurationOfNeoConsole class methodsFor: 'private' stamp: 'SvenVanCaekenberghe 6/16/2015 20:28'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfNeoConsole class methodsFor: 'private' stamp: 'SvenVanCaekenberghe 6/16/2015 20:28'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfNeoConsole class methodsFor: 'metacello tool support' stamp: 'SvenVanCaekenberghe 6/16/2015 20:28'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfNeoConsole class methodsFor: 'loading' stamp: 'SvenVanCaekenberghe 6/16/2015 20:28'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfNeoConsole class methodsFor: 'loading' stamp: 'SvenVanCaekenberghe 6/16/2015 20:28'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfNeoConsole class methodsFor: 'loading' stamp: 'SvenVanCaekenberghe 6/16/2015 20:28'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfNeoConsole class methodsFor: 'accessing' stamp: 'SvenVanCaekenberghe 6/16/2015 20:28'!
project

	^self new project! !

!ConfigurationOfNeoConsole class methodsFor: 'development support' stamp: 'SvenVanCaekenberghe 6/16/2015 20:28'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfNeoConsole methodsFor: 'baselines' stamp: 'SvenVanCaekenberghe 6/16/2015 20:32'!
baseline1: spec
	<version: '1-baseline'>
	
	spec for: #common do: [
		spec 
			blessing: #baseline;
			repository: 'http://mc.stfx.eu/Neo';
			package: 'Neo-Console-Core';
			group: 'default' with: #('Neo-Console-Core');
			group: 'Core' with: #('Neo-Console-Core') ]! !

!ConfigurationOfNeoConsole methodsFor: 'accessing' stamp: 'SvenVanCaekenberghe 6/16/2015 20:28'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfNeoConsole methodsFor: 'symbolic versions' stamp: 'SvenVanCaekenberghe 3/22/2018 10:02'!
stable: spec
	<symbolicVersion: #'stable'>
	
	spec for: #common version: '12'! !

!ConfigurationOfNeoConsole methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 12/19/2017 15:40'!
version10: spec
	<version: '10' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			blessing: #release;
			package: 'Neo-Console-Core' with: 'Neo-Console-Core-SvenVanCaekenberghe.17' ]! !

!ConfigurationOfNeoConsole methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 2/27/2018 11:03'!
version11: spec
	<version: '11' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			blessing: #release;
			package: 'Neo-Console-Core' with: 'Neo-Console-Core-SvenVanCaekenberghe.18' ]! !

!ConfigurationOfNeoConsole methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 3/22/2018 10:02'!
version12: spec
	<version: '12' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			blessing: #release;
			package: 'Neo-Console-Core' with: 'Neo-Console-Core-SvenVanCaekenberghe.22' ]! !

!ConfigurationOfNeoConsole methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 6/16/2015 20:32'!
version1: spec
	<version: '1' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			blessing: #release;
			package: 'Neo-Console-Core' with: 'Neo-Console-Core-SvenVanCaekenberghe.4' ]! !

!ConfigurationOfNeoConsole methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 6/19/2015 09:07'!
version2: spec
	<version: '2' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			blessing: #release;
			package: 'Neo-Console-Core' with: 'Neo-Console-Core-SvenVanCaekenberghe.6' ]! !

!ConfigurationOfNeoConsole methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 8/17/2015 12:02'!
version3: spec
	<version: '3' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			blessing: #release;
			package: 'Neo-Console-Core' with: 'Neo-Console-Core-SvenVanCaekenberghe.8' ]! !

!ConfigurationOfNeoConsole methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 8/17/2015 13:58'!
version4: spec
	<version: '4' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			blessing: #release;
			package: 'Neo-Console-Core' with: 'Neo-Console-Core-SvenVanCaekenberghe.9' ]! !

!ConfigurationOfNeoConsole methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 8/25/2015 17:31'!
version5: spec
	<version: '5' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			blessing: #release;
			package: 'Neo-Console-Core' with: 'Neo-Console-Core-SvenVanCaekenberghe.10' ]! !

!ConfigurationOfNeoConsole methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 8/26/2015 00:45'!
version6: spec
	<version: '6' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			blessing: #release;
			package: 'Neo-Console-Core' with: 'Neo-Console-Core-SvenVanCaekenberghe.11' ]! !

!ConfigurationOfNeoConsole methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 2/2/2016 17:13'!
version7: spec
	<version: '7' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			blessing: #release;
			package: 'Neo-Console-Core' with: 'Neo-Console-Core-SvenVanCaekenberghe.14' ]! !

!ConfigurationOfNeoConsole methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 2/5/2016 10:51'!
version8: spec
	<version: '8' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			blessing: #release;
			package: 'Neo-Console-Core' with: 'Neo-Console-Core-SvenVanCaekenberghe.15' ]! !

!ConfigurationOfNeoConsole methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 4/28/2017 10:27'!
version9: spec
	<version: '9' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			blessing: #release;
			package: 'Neo-Console-Core' with: 'Neo-Console-Core-SvenVanCaekenberghe.16' ]! !
